New mission: revamp the portals to make them look actually tolerable to the eye. They are currently placeholders as of now.
The Gold Network: Soyworld | SNCApedia | SoyPlace


Please do not be surprised when the site randomly loads extremely slow. It is probably being DDoSed.


I'm not dead, just inactive for the moment. Faggot (talk) 20:16, 9 April 2026 (UTC)

User:Clarification needed/Sandbox/styles.css: Difference between revisions

From SNCApedia, the shit nobody cares about encyclopedia
Jump to navigationJump to search
Guess i can't use var() and shit
No edit summary
Line 1: Line 1:
/* cc: shorthand term for "CSS Cube" */
/* cc: shorthand term for "CSS Cube", now semi-CSS2 compliant! */
.cc-scene {
.cc-scene {
margin: 25px;
margin: 25px;
width: 200px;
width: 200px;
height: 200px;
height: 200px;
perspective: 600px;
}
}
.cc-cube {
.cc-cube {
Line 10: Line 9:
height: 100%;
height: 100%;
position: relative;
position: relative;
transform-style: preserve-3d;
transform: translateZ(-100px) rotate3d(-1,0,0,30deg) rotate3d(0,1,0,-50deg);
animation: 5s linear cc-3DSpin infinite;
}
}
.cc-side {
.cc-side {
Line 22: Line 18:
background-size: cover;
background-size: cover;
}
}
/*Sides*/
.cc-center {
.cc-side.top {
animation: 10s linear cc-3DSpin infinite;
transform: rotateX(90deg) translateZ(100px);
}
.cc-side.right {
transform: rotateY(90deg) translateZ(100px);
}
.cc-side.front {
transform: rotateY(0deg) translateZ(100px);
}
.cc-side.bottom {
transform: rotateX(-90deg) translateZ(100px);
}
.cc-side.left {
transform: rotateY(-90deg) translateZ(100px);
}
.cc-side.back {
transform: rotateY(180deg) translateZ(100px);
}
 
.cc-side.left, .cc-side.right, .cc-side.front, .cc-side.back {
background-image: url("https://www.sncapedia.org/images/thumb/8/81/Shit_nobody_cares_about_science_lover.png/200px-Shit_nobody_cares_about_science_lover.png");
}
}


Line 60: Line 36:
@keyframes cc-3DSpin {
@keyframes cc-3DSpin {
from {
from {
transform: translateZ(-100px) rotate3d(-1,0,0,30deg) rotate3d(0,1,0,-50deg);
transform: rotateY(0deg);
}
}
to {
  to {
transform: translateZ(-100px) rotate3d(-1,0,0,30deg) rotate3d(0,1,0,-410deg);
transform: rotateY(360deg);
}
}
}
}

Revision as of 23:59, 11 April 2026

/* cc: shorthand term for "CSS Cube", now semi-CSS2 compliant! */
.cc-scene {
	margin: 25px;
	width: 200px;
	height: 200px;
}
.cc-cube {
	width: 100%;
	height: 100%;
	position: relative;
}
.cc-side {
	position: absolute;
	background-color: #FFF;
	outline: 1px solid #CCC;
	width: 200px;
	height: 200px;
	background-size: cover;
}
.cc-center {
	animation: 10s linear cc-3DSpin infinite;
}

.cc-SNCAText {
	margin: 0;
	position: absolute;
	text-align: center;
	font-family: 'Georgia', Georgia, serif;
	font-size: 130px;
	line-height: 0.8;
	left:50%;
	top:50%;
	transform: translateY(-50%) translateX(-50%);
}
/*Spin or something*/
@keyframes cc-3DSpin {
	from {
		transform: rotateY(0deg);
	}
  to {
		transform: rotateY(360deg);
	}
}